# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-runtime,v 1.16 2005/01/29 17:21:50 raorn Exp $

%mingw_package

%define pkgname runtime

%define rt_ver 3.7
%define w32_ver 3.2

Name: %cross_arch-%pkgname
Version: %rt_ver.%w32_ver
Release: alt1

Summary: Free Win32 runtime and import library definitions
Group: Development/Other
License: distributable
Url: http://www.mingw.org/

BuildArch: noarch

Source: http://download.sourceforge.net/mingw/mingw-runtime-%rt_ver-src.tar.gz
Source1: http://download.sourceforge.net/mingw/w32api-%w32_ver-src.tar.gz

Patch: mingw-runtime-3.0-pld-configure.patch
Patch2: mingw-runtime-3.2-alt-dll-link.patch
Patch3: %name-3.5.3.1-alt-includes.patch

Obsoletes: mingw32-runtime
Provides: mingw32-runtime = %version-%release

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Mon Apr 05 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf >= 2.50
%set_autoconf_version 2.5

BuildConflicts: %name

%description
Mingw32 is short for the Minimalist GNU-Win32 package, and it is a 
package which allows you to use GCC (as supplied by Cygnus in their GNU-
Win32 or Cygwin32 package) the GNU compiler, on Win32 platforms like 
Windows 95 or NT, to compile "native" programs.

%prep
%setup -q -c -a 1
%__ln_s  mingw-runtime-%rt_ver mingw
%__ln_s  w32api-%w32_ver w32api
pushd mingw
%patch -p1
%patch2 -p1

for f in ./configure.in */configure.in; do
    (cd "${f%/*}" && [ configure.in -nt configure ] && %__autoconf)
done
popd

pushd w32api
%patch3 -p2
popd

%build
# mingw is not SMP-aware...
%define __nprocs 1

pushd w32api
./configure \
	%_configure_target \
	--prefix=%_prefix \
	CFLAGS="%optflags" \
	%cross_env \
	BUILDENV=mingw

%make_build
popd

pushd mingw
./configure \
	%_configure_target \
	--prefix=%_archprefix \
	CFLAGS="%optflags" \
	%cross_env

%make_build -C mingwex
%make_build
popd

%install
%make_install -C w32api install \
	prefix=%buildroot%_archprefix
### removing DirectX libs...
%__mv %buildroot/%_archlibdir/libdlcapi.a %buildroot/%_archlibdir/lib_dlcapi.a
%__mv %buildroot/%_archlibdir/libdxapi.a %buildroot/%_archlibdir/lib_dxapi.a
%__rm -f %buildroot%_archlibdir/libd*.a
%__rm -f %buildroot%_archincludedir/dxerr*.h
%__mv %buildroot/%_archlibdir/lib_dlcapi.a %buildroot/%_archlibdir/libdlcapi.a
%__mv %buildroot/%_archlibdir/lib_dxapi.a %buildroot/%_archlibdir/libdxapi.a
### ... done
%make_install -C mingw install \
	prefix=%buildroot%_archprefix

%files
%_archbindir/*
%_archincludedir/*
%_archlibdir/*

%changelog
* Sat Jan 29 2005 Sir Raorn <raorn@altlinux.ru> 3.7.3.2-alt1
- runtime => 3.7, w32api => 3.2

* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 3.5.3.1-alt2
- noarch
- Some hackarounds, versioned builddeps

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 3.5.3.1-alt1.1
- Rebuilt

* Tue Sep 14 2004 Sir Raorn <raorn@altlinux.ru> 3.5.3.1-alt1
- runtime => 3.5, w32api => 3.1
- Build with i386-mingw32msvc-devel

* Thu May 13 2004 Sir Raorn <raorn@altlinux.ru> 3.2.2.5-alt3
- Do NOT strip anything (closes #4127)

* Wed May 05 2004 Sir Raorn <raorn@altlinux.ru> 3.2.2.5-alt2
- Removed DirectX libs (make way to %cross_arch-dx[578]0)
- Strip dll's and dll wrappers

* Mon Apr 05 2004 Sir Raorn <raorn@altlinux.ru> 3.2.2.5-alt1
- Renamed mingw32-* to %cross_arch-*
- runtime => 3.2, w32api => 2.5
- PLD patches



